package com.rf.kjb.chat.dao.domain;

import com.rf.kjb.base.model.BaseEntry;
import lombok.*;

import javax.persistence.*;

/**
 * @Author:zzf
 * @Date:2022/10/21:00:30
 * @Description:
 */
@Entity
@Data
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_question_skip")
@org.hibernate.annotations.Table(appliesTo = "t_question_skip", comment = "对话问题跳转表")
public class QuestionSkipEntity extends BaseEntry {
    @Column(name = "question_no",columnDefinition = "varchar(50) not null comment '问题编号'")
    private String questionNo;

    @Column(name = "skip_question_no",columnDefinition = "varchar(50) null comment '跳转问题编号'")
    private String skipQuestionNo;

    @Column(name = "type",columnDefinition = "varchar(2) not null comment '分类：1-评测结果；2-治疗成绩；3-训练内容；4-情绪二次打分跳转；5-情绪首次打分跳转'")
    private String type;

    @Column(name = "label",columnDefinition = "varchar(2) not null comment '类型：1-焦虑；2-抑郁；3-失眠；4-压力；5-开场白'")
    private String label;

    @Column(name = "num",columnDefinition = "varchar(2) not null comment '对话轮次：1-第一次对话；2-第二次对话；3-第三次对话；4-第四次对话；5-第五次对话'")
    private String num;
}
