package com.rf.kjb.intelligentDialogue.dao.domain;

import com.rf.kjb.base.model.BaseEntry;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Author:zzf
 * @Date:2023/9/14:15:19
 * @Description:
 */
@Entity
@Data
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_intelligent_dialogue")
@org.hibernate.annotations.Table(appliesTo = "t_intelligent_dialogue", comment = "智能对话记录表")
public class IntelligentDialogueEntity extends BaseEntry {
    @Column(name = "user_name",columnDefinition = "varchar(50) not null comment '用户名'")
    private String userName;

    @Column(name = "identifier" ,columnDefinition = "varchar(20) not null  comment '用户编号'")
    private String identifier;

    @Column(name = "label",columnDefinition = "varchar(2) not null comment '对话分类：0-电脑；1-用户'")
    private String label;

    @Column(name = "content",columnDefinition = "varchar(500) not null comment '对话内容'")
    private String content;

    @Column(name = "type",columnDefinition = "varchar(2) not null comment '分类：0-智能对话；1-焦虑；2-抑郁；3-失眠；4-压力；5-开场白'")
    private String type;

    @Column(name = "question_no",columnDefinition = "varchar(50) null comment '问题编号'")
    private String questionNo;

    @Column(name = "num",columnDefinition = "varchar(2) null comment '对话轮次：1-第一次对话；2-第二次对话；3-第三次对话；4-第四次对话；5-第五次对话'")
    private String num;

}
