package com.rf.kjb.intelligentDialogue.service.impl;

import com.rf.kjb.chat.dao.domain.ChatQuestionEntity;
import com.rf.kjb.intelligentDialogue.dao.domain.IntelligentDialogueEntity;
import com.rf.kjb.intelligentDialogue.dao.repository.IntelligentDialogueRepository;
import com.rf.kjb.intelligentDialogue.service.IntelligentDialogueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author:zzf
 * @Date:2023/9/14:15:27
 * @Description:
 */
@Service
public class IntelligentDialogueServiceImpl implements IntelligentDialogueService {
    @Autowired
    private IntelligentDialogueRepository repository;
    @Override
    public void save(IntelligentDialogueEntity intelligentDialogue) {
        repository.save(intelligentDialogue);
    }

    @Override
    public Page<IntelligentDialogueEntity> find(String searchKey, int pageNum, int pageSize) {
        return this.repository.getIntelligentDialogueList(PageRequest.of(pageNum - 1, pageSize), searchKey);
        /*Specification<IntelligentDialogueEntity> specification = (root, query, cb) -> {
            List<javax.persistence.criteria.Predicate> predicateList = new ArrayList<>();
            if(StringUtils.isNotBlank(identifier)){
                predicateList.add(cb.or(cb.like(root.get("identifier"),"%"+identifier+"%"),cb.like(root.get("userName"),"%"+identifier+"%")));
            }
            try {
                if(StringUtils.isNotBlank(beginDate)){
                    predicateList.add(cb.greaterThanOrEqualTo(root.get("createTime"),new SimpleDateFormat("yyyy-MM-dd").parse(beginDate)));
                }

                if(StringUtils.isNotBlank(endDate)){
                    predicateList.add(cb.lessThanOrEqualTo(root.get("createTime"),new SimpleDateFormat("yyyy-MM-dd").parse(endDate)));
                }
            } catch (ParseException e) {
                throw new RuntimeException(e);
            }
            query.where(cb.and(predicateList.toArray(new Predicate[0])));
            query.orderBy(cb.asc(root.get("createTime")));
            return query.getRestriction();
        };
        if (pageNum <= 0) {
            pageNum = 1;
        }
        if(pageSize <= 0){
            pageSize = 10;
        }
        return this.repository.findAll(specification, PageRequest.of(pageNum-1,pageSize));*/
    }

    @Override
    public List<IntelligentDialogueEntity> findByIdentifier(String identifier) {
        return this.repository.findByIdentifier(identifier);
    }

    @Override
    public List<IntelligentDialogueEntity> findAllIdentifier() {
        return this.repository.findAllIdentifier();
    }

    @Override
    public Page<IntelligentDialogueEntity> getIntelligentDialogueEntityByIdentifier(String identifier, int pageNum, int pageSize, String type) {
        return this.repository.getIntelligentDialogueEntityByIdentifier(PageRequest.of(pageNum - 1, pageSize), identifier, type);
    }

    @Override
    public IntelligentDialogueEntity findByIdentifierByLabelByNum(String identifier, String label, String num) {
        return this.repository.findByIdentifierByLabelByNum(identifier,label,num);
    }

    @Override
    public IntelligentDialogueEntity findByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String num, String type) {
        return this.repository.findByIdentifierByLabelByNumByQuestionNo(identifier,label,num,type);
    }
    @Override
    public IntelligentDialogueEntity findJobByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String num, String type) {
        return this.repository.findJobByIdentifierByLabelByNumByQuestionNo(identifier,label,num,type);
    }

    @Override
    public List<IntelligentDialogueEntity> findGradeByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String num, String type) {
        return this.repository.findGradeByIdentifierByLabelByNumByQuestionNo(identifier,label,num,type);
    }

    @Override
    public IntelligentDialogueEntity findEmotionScoreByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String num, String questionNo) {
        return this.repository.findEmotionScoreByIdentifierByLabelByNumByQuestionNo(identifier,label,num,questionNo);
    }

    @Override
    public IntelligentDialogueEntity findLastScoreByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String lastNum, String type) {
        return this.repository.findLastScoreByIdentifierByLabelByNumByQuestionNo(identifier,label,lastNum,type);
    }

    @Override
    public IntelligentDialogueEntity findScoreByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String num) {
        return this.repository.findScoreByIdentifierByLabelByNumByQuestionNo(identifier,label,num);
    }

    @Override
    public IntelligentDialogueEntity findDateByIdentifierByLabelByNum(String identifier, String label, String lastNum) {
        return this.repository.findDateByIdentifierByLabelByNum(identifier,label,lastNum);
    }
}
