package com.rf.kjb.opLog.dao.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.rf.kjb.base.model.BaseEntry;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author zsy
 * @description:
 * @date 2022/1/1211:08
 */
@Entity
@ToString
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_sys_log", indexes = {
        @Index(columnList = "id", unique = true),
})
@org.hibernate.annotations.Table(appliesTo = "t_sys_log", comment = "操作日志")
public class SysLogEntity extends BaseEntry {

    @Column(name = "identifier" ,columnDefinition = "varchar(20) not null comment '编号'")
    private String identifier;

    @Column(name = "role",columnDefinition = "tinyint not null default 0 comment '角色：0普通用户 1管理员'")
    private int role;

    @Column(name = "operation", columnDefinition = "varchar(100) null comment '用户操作：1登录'")
    private String operation;

}
